#pragma once

#include <cstdint>
#include <limits>
#include <string>

#include <QObject>

class QMainWindow;
class QTreeWidgetItem;

namespace Ui {
	class DebugWindow;
}


class QtDebugger : public QObject {
	Q_OBJECT

public:
	explicit QtDebugger(QObject* parent = nullptr);
	~QtDebugger();

private slots:
	void refresh();
	void currentObjectChanged( QTreeWidgetItem* new_, QTreeWidgetItem* old );
	void openResourceExplorer();

protected:
	void resetStyleSheet();

	QMainWindow* debugWindow = nullptr;

	QString oldStyleSheet;
	bool oldStyleSheetValid = false;

private:
	Ui::DebugWindow* ui;
};
